Package org.apache.sling.scriptingbundle.plugin.capability

## Class ProvidedScriptCapability

- java.lang.Object
- - org.apache.sling.scriptingbundle.plugin.capability.ProvidedScriptCapability

    public class ProvidedScriptCapability
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ProvidedScriptCapability.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ProvidedScriptCapability.Builder` `builder​(Map<String,​String> scriptEngineMappings)`
`boolean` `equals​(Object obj)`
`String` `getPath()`
`String` `getScriptEngine()`
`String` `getScriptExtension()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getPath

    public String getPath()

#### getScriptExtension

    public String getScriptExtension()

#### getScriptEngine

    public String getScriptEngine()

#### builder

    public static ProvidedScriptCapability.Builder builder​(Map<String,​String> scriptEngineMappings)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`